Subject: Re: bug#66125: 29.1; configure --with-small-ja-dic has no effect
From: Eli Zaretskii <[email-masked]>
To: Ulrich Mueller <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Sep 2023 15:33:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ulrich Mueller <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 23 Sep 2023 23:29:33 +0200
> 
> >>>>> On Sat, 23 Sep 2023, Eli Zaretskii wrote:
> 
> >> > (The "if test" part of the new target's rules could be updated to
> >> > check that the small-ja-dic-option file exists, and generate a
> >> > non-empty file if not.)
> >> 
> >> IMHO this would be cleaner.
> 
> > Can you try that and see if there are no other issues?
> 
> I did some tests and ended up replacing the small-ja-dic-option recipe
> in leim/Makefile.in with something very simple:
> 
> # This is used to support regeneration of ja-dic when the SMALL_JA_DIC
> # option is flipped by the configure-time option.
> small-ja-dic-option: ../config.status
> 	$(AM_V_GEN)echo "small ja-dic option: $(SMALL_JA_DIC)" > $@.$$$$ && \
> 	${top_srcdir}/build-aux/move-if-change $@.$$$$ $@
> 
> AFAICS this does what is intended, i.e. the detour via recording the
> option in ja-dic.el isn't even needed.

Thanks, I went with your suggestion in leim/Makefile.in.  But I kept
the recording of the value in ja-dic.el, as I think it's a good idea
nonetheless, for future investigations of possible issues.

And with that, I'm closing the bug.